oyranos-profile-graph(1)

NAME
oyranos-profile-graph - ICC profile graph tool

SYNOPSIS
oyranos-profile-graph [-o FILENAME] [-x] [-w NUMBER] [-b] [-s] PROFILENAMES
oyranos-profile-graph [ -h ]

DESCRIPTION
The oyranos-profile-graph programm converts ICC profiles or embedded ICC profiles from images to a graph image. By default the program shows the saturation line of the specified profiles and writes to output.png .

OPTIONS

-w NUMBER
    set output image width in pixel

-o FILENAME
    write resulting image to file name.

-x  use CIE*xyY *x*y plane for saturation line projection.

-s  omit the spectral line.

-b  omit border.

-t FLOATINGPOINTNUMBER
    increase the thickness of the graph lines

-d FLOATINGPOINTNUMBER
    incrementally increase the thickness of the graph lines. The default is 0.7 .

--standard-observer
    show the standard observer spectral function as curves.

GENERAL OPTIONS

-v, --verbose
    increase verbosity

ENVIRONMENT

OY_DEBUG
    set the Oyranos debug level. Alternatively the -v option can be used.

XDG_DATA_HOME XDG_DATA_DIRS
    route Oyranos to top directories containing resources. The derived paths for ICC profiles have a "color/icc" appended.
    http://www.oyranos.com/wiki/index.php?title=OpenIccDirectoryProposal

EXAMPLES

Show the saturation lines of two profile in CIE*ab 256 pixel width, without spectral line and with thicker lines:
    oyranos-profile-graph -w 256 -s -t 3 sRGB.icc ProPhoto-RGB.icc

Show the standard observer spectral function as curves:
    oyranos-profile-graph --standard-observer -o CIE-StdObserver.png

AUTHOR
Kai-Uwe Behrmann (ku.b (at) gmx.de)

COPYRIGHT
(c) 2012 Kai-Uwe Behrmann and others
License: BSD-3-Clause <http://www.opensource.org/licenses/bsd-license.php>

SEE ALSO
oyranos(3) oyranos-profile(1)
http://www.oyranos.org

BUGS
at: http://sourceforge.net/tracker/?group_id=177017&atid=879553